@use 'sass:map';
@use '@angular/material' as mat;
@import "./variables";

:host {
    $primary: map.get($light-theme, 'primary');

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 14px;
    font-weight: 500;

    height: 40px;
    border-radius: 1px;
    padding-left: 12px;
    padding-right: 12px;

    background-color: mat.get-color-from-palette($primary, 400);
    color: white;

    .queued {
        background-color: mat.get-color-from-palette($primary, 400);
    }

    mat-icon {
        margin-right: 12px;
    }

    .message {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .queued {
        display: flex;
        justify-content: center;
        align-items: center;

        position: absolute;
        top: -8px;
        right: -8px;

        width: 18px;
        height: 18px;
        border-radius: 50%;
        font-size: 12px;

        box-shadow:
            0 1px 5px 0 rgb(0 0 0 / 20%),
            0 2px 2px 0 rgb(0 0 0 / 14%),
            0 3px 1px -2px rgb(0 0 0 / 12%);
    }
}

::ng-deep .mat-snack-bar-container {
    padding: 0;
    background: transparent;
    min-height: auto;
}
